2016-08-24 06:17 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003793ncmpcppDefaultpublic2013-11-16 16:08
Reportervirus_found 
Assigned TounK 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSArchLinuxOS Versionstable
Product Version0.7.x 
Target VersionFixed in Version0.7.x 
Summary0003793: Save and Reset buttons won't work in Tag editor.
DescriptionThere is no way to save changes in the Tag editor.
Steps To ReproduceSteps to reproduce:
* Make some tag changes in the Tag editor view.
* Press Reset.
* => FAIL nothing happens.
* Press Save.
* => FAIL "Changes reset" message, and the changes are reset.
TagsNo tags attached.
Attached Files
  • ? file icon bindings (494 bytes) 2013-09-16 12:56 -
    def_key "k"
      scroll_up
    def_key "j"
      scroll_down
    def_key "x"
      delete_playlist_items
    def_key "x"
      delete_stored_playlist
    def_key "l"
      next_column
    def_key "+"
      dummy
    def_key "h"
      previous_column
    def_key "-"
      dummy
    def_key "p"
      stop
    def_key "P"
      pause
    def_key "right"
      seek_forward
    def_key "left"
      seek_backward
    def_key "z"
      toggle_repeat
    def_key "r"
      toggle_random
    def_key "s"
      toggle_single
    def_key "n"
      next_found_item
    def_key "N"
      previous_found_item
    def_key "L"
      show_lyrics
    
    ? file icon bindings (494 bytes) 2013-09-16 12:56 +
  • ? file icon config (853 bytes) 2013-09-16 12:56 -
    mpd_music_dir = "~/music"
    mpd_crossfade_time = "0"
    playlist_disable_highlight_delay = "0"
    playlist_display_mode = "columns" (classic/columns)
    browser_display_mode = "columns" (classic/columns)
    search_engine_display_mode = "columns" (classic/columns)
    playlist_editor_display_mode = "columns" (classic/columns)
    seek_time = "2"
    centered_cursor = "yes"
    user_interface = "alternative" (classic/alternative)
    default_find_mode = "normal" (wrapped/normal)
    titles_visibility = "no"
    follow_now_playing_lyrics = "yes"
    ncmpc_like_songs_adding = "yes" (enabled - add/remove, disabled - always add)
    show_hidden_files_in_local_browser = "yes"
    clock_display_seconds = "yes"
    display_volume_level = "no"
    display_bitrate = "yes"
    mouse_support = "no"
    enable_window_title = "no"
    external_editor = "vim"
    use_console_editor = "yes" (set to yes, if your editor is console app)
    
    ? file icon config (853 bytes) 2013-09-16 12:56 +
  • patch file icon ncmpcpp_fix_tag_editor_save.patch (620 bytes) 2013-11-13 21:53 -
    diff -Naur ncmpcpp/src/tag_editor.cpp ncmpcpp.new/src/tag_editor.cpp
    --- ncmpcpp/src/tag_editor.cpp	2013-11-13 01:23:27.964564854 +0100
    +++ ncmpcpp.new/src/tag_editor.cpp	2013-11-13 01:23:03.281232999 +0100
    @@ -548,13 +548,13 @@
     				LowerAllLetters(**it);
     			Statusbar::msg("Done");
     		}
    -		else if (id == 19) // reset
    +		else if (id == 18) // reset
     		{
     			for (auto it = Tags->beginV(); it != Tags->endV(); ++it)
     				it->clearModifications();
     			Statusbar::msg("Changes reset");
     		}
    -		else if (id == 20) // save
    +		else if (id == 19) // save
     		{
     			bool success = 1;
     			Statusbar::msg("Writing changes...");
    
    patch file icon ncmpcpp_fix_tag_editor_save.patch (620 bytes) 2013-11-13 21:53 +

-Relationships
+Relationships

-Notes

~0007791

virus_found (reporter)

Just in case.

git revision 10f5ec1e7840eb8fa04fc52318655aa2c7b16b76 works - i.e. those two buttons function properly.
git revision 1e1aba121d512f8fadc627d093c54e063416da67 and later - broken.

~0007847

unK (administrator)

It works here as expected. Can you try with the newest version? Also, if it still happens, I need your config file.

~0007853

virus_found (reporter)

Still not workning with a494bb72d4e9abc536a79d1baa33150f42eb0b69 from 14 Sep 2013

Attaching the configs.

~0008000

nezumisama (reporter)

I have the same problem.
The issue is introduced in commit 472c69e8cdb527e85d1cde833aaacc506d1215be and seems to be because the menu-position-action bindings were changed. I've reset the bindings to those before this commit in the latest version and it works.

I've attached a patch.

~0008006

unK (administrator)

Fixed. Sorry it took such a long time.
+Notes

-Issue History
Date Modified Username Field Change
2013-07-12 12:32 virus_found New Issue
2013-07-12 12:32 virus_found Status new => assigned
2013-07-12 12:32 virus_found Assigned To => unK
2013-07-19 12:24 virus_found Note Added: 0007791
2013-09-14 17:44 unK Note Added: 0007847
2013-09-16 12:55 virus_found Note Added: 0007853
2013-09-16 12:56 virus_found File Added: bindings
2013-09-16 12:56 virus_found File Added: config
2013-11-13 21:53 nezumisama Note Added: 0008000
2013-11-13 21:53 nezumisama File Added: ncmpcpp_fix_tag_editor_save.patch
2013-11-16 16:08 unK Note Added: 0008006
2013-11-16 16:08 unK Status assigned => resolved
2013-11-16 16:08 unK Fixed in Version => 0.7.x
2013-11-16 16:08 unK Resolution open => fixed
+Issue History